# joint_limits.yaml allows the dynamics properties specified in the URDF to be overwritten or augmented as needed
# Specific joint properties can be changed with the keys [max_position, min_position, max_velocity, max_acceleration]
# Joint limits can be turned off with [has_velocity_limits, has_acceleration_limits]
joint_limits:
  robot_joint_1:
    has_velocity_limits: true
    max_velocity: 7.85
    has_acceleration_limits: false
    max_acceleration: 0
  robot_joint_2:
    has_velocity_limits: true
    max_velocity: 6.63
    has_acceleration_limits: false
    max_acceleration: 0
  robot_joint_3:
    has_velocity_limits: true
    max_velocity: 9.08
    has_acceleration_limits: false
    max_acceleration: 0
  robot_joint_4:
    has_velocity_limits: true
    max_velocity: 9.6
    has_acceleration_limits: false
    max_acceleration: 0
  robot_joint_5:
    has_velocity_limits: true
    max_velocity: 9.51
    has_acceleration_limits: false
    max_acceleration: 0
  robot_joint_6:
    has_velocity_limits: true
    max_velocity: 17.45
    has_acceleration_limits: false
    max_acceleration: 0